Subject: Re: bug#54947: 29.0.50; Emacs does not invoke doc view to open odf files

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 15 Apr 2022 09:48:52 +0200

Raoul Comninos <[email-masked]> writes:

> When I try to open an odt file in Emacs I get this error:
>
> File mode specification error: (error Conflicting types: name says (odf)
> but content says (epub))
>
> This is despite the fact that I have this in my init file:
>
> (add-to-list 'auto-mode-alist '("\\.odt\\'" . doc-view-mode))

The error message comes from doc-view-mode, so it is being used here.
But have you checked whether the message is gives is correct?  It's
saying that you're giving it a file called .odf while the contents of
the file is really an epub file.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no